P = 270;
GEN = [
    1 40 100 10 2.0 0.010
    2 40  80 10 1.5 0.012
    3 50 120 20 1.5 0.004
];
PGmin = GEN(:,2); PGmax = GEN(:,3); NG = size(GEN,1); A = GEN(:,4); B = GEN(:,5); C = GEN(:,6);
trosoci = inline('sum(A + B.*PG + C.*PG.^2)','PG','A','B','C');
PG0 = (PGmin + PGmax) / 2;
[PG,F,exitflag] = FMINCON(trosoci,PG0,[],[],ones(1,NG),P,PGmin,PGmax,[],[],A,B,C)